*,
*::before,
*::after {
    box-sizing: border-box;
    margin: 0;
    position: relative;
    font-weight: normal;
}

body {
    min-height: 100vh;
    color: #2c3e50;
    background: #f8fafc;
    transition: color 0.5s, background-color 0.5s;
    line-height: 1.6;
    font-family: DinPro, 'Helvetica Neue', Helvetica, 'PingFang SC', 'Hiragino Sans GB',
    'Microsoft YaHei', '微软雅黑', Arial, sans-serif;
    font-size: 15px;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

a {
    text-decoration: none;
    color: #2c3e50;
    -webkit-tap-highlight-color: transparent;
}
a:hover {
    color: #409eff;
}

/*---------- f7  ----------*/
/* === Modals === */
.u-overlay {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.4);
    z-index: 12000;
    visibility: hidden;
    opacity: 0;
    -webkit-transition-duration: 400ms;
    transition-duration: 400ms;
}
.u-overlay.is-visible{
    visibility: visible;
    opacity: 1;
}

/* 基础模态窗口  */
.m-flow-message{
    width: 270px;
    position: fixed;
    z-index: 13500;
    left: 50%;
    margin-left: -135px;
    margin-top: 0;
    top: 50%;
    text-align: center;
    border-radius: 15px;
    overflow: hidden;
    opacity: 0;
    background-color: #fff;
    transform: translate3d(-50%, -50%, 0) scale(1.185);
    transition-property: transform, opacity;
    display: none;
}
.m-toast.is-in,
.m-flow-message.is-in {
    opacity: 1;
    transition-duration: 400ms;
    transform: translate3d(-50%, -50%, 0) scale(1);
}
.m-toast.is-out,
.m-flow-message.is-out {
    opacity: 0;
    transition-duration: 400ms;
    transform: translate3d(-50%, -50%, 0) scale(1);
}

.u-button-group {
    height: 48px;
    line-height: 48px;
    font-size: 18px;
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    -webkit-justify-content: center;
    justify-content: center;
}
.u-button-group:before {
    content: '';
    position: absolute;
    left: 0;
    right: auto;
    top: auto;
    height: 1px;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.2);
    display: block;
    z-index: 15;
    transform-origin: 50% 100%;
}
.u-button-group button {
    width: 100%;
    font-size: 16px;
    padding: 0 5px;
    text-align: center;
    border: 0 none;
    color: #5f646e;
    display: block;
    position: relative;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    cursor: pointer;
    box-sizing: border-box;
    -webkit-box-flex: 1;
    -ms-flex: 1;
    background: rgba(255, 255, 255, 0.95);
}
.u-button-group button:before {
    content: '';
    position: absolute;
    top: 0;
    left: auto;
    bottom: auto;
    width: 1px;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.2);
    display: block;
    z-index: 15;
    transform-origin: 100% 50%;
}
.u-button-group button:first-child:before {
    display: none;
}
.u-button-group .button-ok {
    color: #3cc51f;
}

.m-modal {
    width: 360px;
    max-width: 90%;
    background: #ffffff;
    border-radius: 4px;
    position: fixed;
    z-index: 13500;
    left: 50%;
    top: 50%;
    text-align: center;
    overflow: hidden;
    opacity: 0;
    transform: translate3d(-50%, -50%, 0) scale(1.185);
    transition-property: transform, opacity;
    display: none;
}
.m-modal.is-in {
    opacity: 1;
    transition-duration: 400ms;
    transform: translate3d(-50%, -50%, 0) scale(1);
}
.m-modal.is-out {
    opacity: 0;
    transition-duration: 400ms;
    transform: translate3d(-50%, -50%, 0) scale(1);
}
.m-modal__hd {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid #e8e8e8;
    padding: 15px;
}
.m-modal__title {
    font-size: 16px;
}
.m-modal__close {
    margin-left: 15px;
    width: 24px;
    height: 24px;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' x='0px' y='0px' width='24' height='24' viewBox='0 0 24 24'%3E%3Cpath d='M 4.7070312 3.2929688 L 3.2929688 4.7070312 L 10.585938 12 L 3.2929688 19.292969 L 4.7070312 20.707031 L 12 13.414062 L 19.292969 20.707031 L 20.707031 19.292969 L 13.414062 12 L 20.707031 4.7070312 L 19.292969 3.2929688 L 12 10.585938 L 4.7070312 3.2929688 z'%3E%3C/path%3E%3C/svg%3E");
    background-size: cover;
    opacity: 0.3;
    cursor: pointer;
}
.m-modal__bd {
    padding: 15px;
}
.m-modal__bd img {
    max-width: 100%;
}
.m-modal__ft {
    padding: 15px;
    border-top: 1px solid #e6e6e6;
}
.m-modal .m-article {
    margin: 0;
}
.m-modal .order-no {
    font-size: 14px;
}

/* 加载提示  */
.u-indicator-overlay {
    visibility: visible;
    opacity: 0;
    background: none;
}
.m-indicator {
    position: fixed;
    left: 50%;
    top: 50%;
    padding: 8px;
    margin-left: -25px;
    margin-top: -25px;
    background: rgba(0, 0, 0, 0.8);
    z-index: 13500;
    border-radius: 5px;
    transform: translate3d(-50%, -50%, 0);
}
.m-indicator .shape {
    display: block;
    width: 34px;
    height: 34px;
    background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg%20viewBox%3D'0%200%20120%20120'%20xmlns%3D'http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg'%20xmlns%3Axlink%3D'http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink'%3E%3Cdefs%3E%3Cline%20id%3D'l'%20x1%3D'60'%20x2%3D'60'%20y1%3D'7'%20y2%3D'27'%20stroke%3D'%23ffffff'%20stroke-width%3D'11'%20stroke-linecap%3D'round'%2F%3E%3C%2Fdefs%3E%3Cg%3E%3Cuse%20xlink%3Ahref%3D'%23l'%20opacity%3D'.27'%2F%3E%3Cuse%20xlink%3Ahref%3D'%23l'%20opacity%3D'.27'%20transform%3D'rotate(30%2060%2C60)'%2F%3E%3Cuse%20xlink%3Ahref%3D'%23l'%20opacity%3D'.27'%20transform%3D'rotate(60%2060%2C60)'%2F%3E%3Cuse%20xlink%3Ahref%3D'%23l'%20opacity%3D'.27'%20transform%3D'rotate(90%2060%2C60)'%2F%3E%3Cuse%20xlink%3Ahref%3D'%23l'%20opacity%3D'.27'%20transform%3D'rotate(120%2060%2C60)'%2F%3E%3Cuse%20xlink%3Ahref%3D'%23l'%20opacity%3D'.27'%20transform%3D'rotate(150%2060%2C60)'%2F%3E%3Cuse%20xlink%3Ahref%3D'%23l'%20opacity%3D'.37'%20transform%3D'rotate(180%2060%2C60)'%2F%3E%3Cuse%20xlink%3Ahref%3D'%23l'%20opacity%3D'.46'%20transform%3D'rotate(210%2060%2C60)'%2F%3E%3Cuse%20xlink%3Ahref%3D'%23l'%20opacity%3D'.56'%20transform%3D'rotate(240%2060%2C60)'%2F%3E%3Cuse%20xlink%3Ahref%3D'%23l'%20opacity%3D'.66'%20transform%3D'rotate(270%2060%2C60)'%2F%3E%3Cuse%20xlink%3Ahref%3D'%23l'%20opacity%3D'.75'%20transform%3D'rotate(300%2060%2C60)'%2F%3E%3Cuse%20xlink%3Ahref%3D'%23l'%20opacity%3D'.85'%20transform%3D'rotate(330%2060%2C60)'%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E");
    background-position: 50%;
    background-size: 100%;
    background-repeat: no-repeat;
    animation: preloader-spin 1s steps(12, end) infinite;
}
@keyframes preloader-spin {
    100% {
        transform: rotate(360deg);
    }
}


/* 消息提示  */
.m-toast {
    position: fixed;
    z-index: 13600;
    left: 50%;
    top: 50%;
    opacity: 0;
    display: none;
    text-align: center;
    background-color: rgba(0, 0, 0, 0.8);
    border-radius: 25px;
    color: #FFF;
    padding: 10px 25px;
    font-size: 16px;
    transform: translate3d(-50%, -50%, 0) scale(1.185);
    transition-property: transform, opacity;
}

/*---------- base  ----------*/
.l-row {
    margin-left: -10px;
    margin-right: -10px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}
.l-col-24,
.l-col-12 {
    padding-right: 10px;
    padding-left: 10px;
}
.l-col-24 {
    max-width: 100%;
    flex: 0 0 100%;
}
.l-col-12 {
    max-width: 50%;
    flex: 0 0 50%;
}

.u-scrollbar::-webkit-scrollbar {
    width: 5px;
    height: 5px;
}
.u-scrollbar::-webkit-scrollbar-track {
    background-color: #fff;
}
.u-scrollbar::-webkit-scrollbar-thumb {
    background-color: #a8a8a8;
    border-radius: 5px;
}
.u-scrollbar:hover::-webkit-scrollbar-thumb {
    background-color: #c1c1c1;
}
.u-scrollbar::-webkit-scrollbar-thumb:hover {
    background-color: #a8a8a8;
}

.m-card {
    background: #ffffff;
    border: 1px solid #e4e7ed;
    border-radius: 4px;
    box-shadow: 0 0 12px rgba(0,0,0, .12);
    margin-top: 30px;
}
.m-card__hd {
    padding: 20px;
    border-bottom: 1px solid #e4e7ed;
}
.m-card__hd h1,
.m-card__hd h2,
.m-card__hd h3 {
    font-size: 20px;
    font-weight: 500;
}
.m-card__bd {
    padding: 20px;
}

.m-article {
    font-size: 16px;
    margin: 25px 0;
}
.m-article p {
    margin-bottom: 20px;
}
.m-article p:last-child {
    margin-bottom: 0;
}
.m-article img {
    max-width: 100%;
}
.m-article h1 {
    font-size: 32px;
    margin-bottom: 15px;
}
.m-article h2 {
    font-size: 28px;
    margin-bottom: 15px;
}
.m-article h3 {
    font-size: 24px;
    margin-bottom: 15px;
}
.m-article h4 {
    font-size: 20px;
    margin-bottom: 10px;
}
.m-article h5 {
    font-size: 18px;
    margin-bottom: 10px;
}
.m-article h6 {
    font-size: 16px;
    margin-bottom: 10px;
}

.m-table__wrapper {
    width: 100%;
    overflow-x: scroll;
    overflow-y: hidden;
}
.m-table {
    width: 100%;
    min-width: 580px;
    border-spacing: 0;
    border: none;
}
.m-table th {
    text-align: left;
    padding: 16px;
    border-bottom: 1px solid #ebeef5;
    color: #999999;
    font-weight: 700;
}
.m-table thead tr {
    position: relative;
}
.m-table thead tr > th:nth-child(4) {
    width: 80px;
    padding-right: 0;
    text-align: right;
    position: sticky;
    right: 0;
    background: #fff;
    z-index: 1;
}
.m-table td {
    border-bottom: 1px solid #ebeef5;
    padding: 16px 10px;
}
.m-table tbody tr > td:nth-child(1) {
    width: calc(100% - 280px);
    padding-left: 0;
}
.m-table tbody tr > td:nth-child(2) {
    width: 100px;
    color: #ff4400;
}
.m-table tbody tr > td:nth-child(3) {
    width: 100px;
}
.m-table tbody tr > td:nth-child(4) {
    width: 80px;
    padding-right: 0;
    text-align: right;
    position: sticky;
    right: 0;
    background: #fff;
    z-index: 1;
}
.m-table tbody tr > td:nth-child(4):before {
    box-shadow: inset -10px 0 10px -10px rgba(0, 0, 0, .15);
    left: 0;
    content: "";
    position: absolute;
    top: 0;
    width: 10px;
    bottom: -1px;
    overflow-x: hidden;
    overflow-y: hidden;
    touch-action: none;
    pointer-events: none;
}

@media only screen and (max-width: 480px) {
    .m-table {
        min-width: 420px;
    }
}

.u-btn-default {
    padding: 8px 12px;
    background: #ecf5ff;
    border: 1px solid #a0cfff;
    color: #409eff;
}

/*---------- layout  ----------*/
.layout-view {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 10px;
}
.main {
    min-height: calc(100vh - 235px);
}

/*----------  layout header ----------*/
.m-header {
    line-height: 1.5;
    margin-bottom: 30px;
    background-color: #fff;
    box-shadow: rgba(0, 0, 0, 0.06) 0 0 18px;
}
.m-header__inner {
    height: 75px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.m-header__brand {
    display: flex;
    align-items: center;
}
.m-header__title {
    font-size: 24px;
    font-weight: normal;
    margin-left: 5px;
}
.m-header__logo {
    width: 50px;
}
.m-header__nav {
    font-size: 16px;
    text-align: center;
}
.m-header__nav a {
    border-bottom: 1px solid #f8f8f8 !important;
}
.m-header__nav a:last-child {
    border: none;
}
.m-header__nav a:first-of-type {
    border: 0;
}
.m-header__nav a.is-active {
    color: #ff4400;
}
.m-header__nav a.is-active:hover {
    background-color: transparent;
}
@media only screen and (max-width: 480px) {
    .m-header__title {
        font-size: 20px;
    }
    .m-header__nav {
        font-size: 14px;
    }
    .m-header__logo {
        width: 38px;
    }
}
/*----------  layout header ----------*/
.m-footer {
    background-color: #fff;
    margin-top: 50px;
    min-height: 80px;
    border-top: 1px solid #f2f2f2;
    padding: 0 25px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #b2b2b2;
    font-size: 12px;
    text-align: center;
}
.m-footer__copyright {
    padding: 15px 0;
}

/*----------  record ----------*/
.m-modal.m-modal--home {
    width: 420px;
}

/*----------  goods ----------*/
.m-goods {
    padding: 24px;
}
.m-goods__title {
    font-size: 24px;
    font-weight: 500;
}
.m-goods__desc {
    font-size: 18px;
    margin-top: 8px;
    display: flex;
    flex-wrap: wrap;
    color: #999;
    padding-bottom: 24px;
    margin-bottom: 24px;
    border-bottom: 1px solid #dcdfe6;
}
.m-goods__desc span {
    color: #303030;
    margin-right: 25px;
}
.m-goods__price span,
.m-goods__stock span {
    color: #ff4400;
}
.m-goods__content {
    padding-bottom: 24px;
    margin-bottom: 24px;
    border-bottom: 1px solid #dcdfe6;
}

.m-form__item {
    display: flex;
    padding: 12px 0;
    align-items: center;
}
.m-form__item-label {
    width: 80px;
    display: inline-flex;
    justify-content: flex-end;
    align-items: flex-start;
    flex: 0 0 auto;
    padding-right: 12px;
}
.m-form__item-content {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    flex: 1;
}
.m-form__item .amount {
    font-size: 32px;
    color: #ff4400;
    line-height: 1;
}
.m-form__item img {
    max-height: 50px;
}
.u-input {
    padding: 12px;
    border: 1px solid #c0c4cc;
    width: 100%;
    border-radius: 4px;
}
.u-input:focus {
    outline: none;
    border: 1px solid #409eff;
}
.u-btn-primary {
    font-size: 16px;
    padding: 12px 24px;
    color: #ffffff;
    background: #409eff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.m-form__item .order-no {
    font-size: 18px;
    word-break: break-all;
}
.qrcode-box {
    text-align: center;
}
.btn-open-app {
    font-size: 14px;
    padding: 10px 16px;
    color: #ffffff;
    background: #409eff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}
@media only screen and (max-width: 720px) {
    .m-goods .l-col-12 {
        max-width: 100%;
        flex: 0 0 100%;
    }
}

/*----------  record ----------*/
.m-tabs__nav {
    display: flex;
    padding: 0;
    border-bottom: 1px solid #e8e8e8;
    list-style: none;
}
.m-tabs__nav-item {
    padding: 10px;
    margin-right: 10px;
    position: relative;
    cursor: pointer;
}
.m-tabs__nav-item.is-active {
    color: #409eff;
}
.m-tabs__nav-item.is-active::after {
    content: "";
    display: block;
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    height: 2px;
    background: #409eff;
}
.m-tabs__content {
    padding: 25px 0;
}
.m-tabs__panel {
    display: none;
}
.m-tabs__panel.is-active {
    display: block;
}
.m-tabs__panel .notice {
    display: flex;
    align-items: center;
    justify-content: center;
    color: #999999;
    font-size: 13px;
}
.m-tabs__panel .notice .icon {
    margin-right: 10px;
    height: 24px;
    width: 24px;
    line-height: 24px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    position: relative;
    fill: currentColor;
}
.m-tabs__panel .form {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    padding: 25px 0;
}
.m-tabs__panel .form input {
    width: 200px;
    padding: 12px 20px;
    border: 1px solid #cccccc;
    margin: 8px;
    outline: none;
}
.m-tabs__panel .form button {
    padding: 12px 24px;
    color: #ffffff;
    background: #409eff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    margin: 8px;
}


.m-table-record__wrapper {
    width: 100%;
    overflow-x: scroll;
    overflow-y: hidden;
}
.m-table-record {
    width: 100%;
    min-width: 580px;
    border-spacing: 0;
    border: none;
    border-collapse: collapse;
}
.m-table-record th {
    text-align: left;
    padding: 12px;
    border: 1px solid #ebeef5;
    font-weight: 700;
    font-size: 12px;
}
.m-table-record td {
    border: 1px solid #ebeef5;
    padding: 12px;
    font-size: 15px;
}

.m-table-record .label {
    background: #f5f7fa;
}

@media only screen and (max-width: 640px) {
    .m-tabs__panel .form input {
        width: 100%;
    }
    .m-tabs__panel .form button {
        width: 100%;
        display: block;
    }
}

/*----------  cdkey ----------*/
.cdkey-card .m-card__hd h3 {
    display: inline-block;
    position: relative;
}
.cdkey-card .m-card__hd h3 span {
    padding: 1px 6px;
    color: #ffffff;
    background: #ff6600;
    border-radius: 16px;
    position: absolute;
    font-size: 12px;
    font-weight: 500;
}
.cdkey-card .cdkey-item {
    margin-bottom: 20px;
    padding-bottom: 45px;
    position: relative;
    display: flex;
    border: 1px solid #c8c8c8;
}
.cdkey-card textarea {
    width: 100%;
    border: none;
    padding: 12px 50px 50px 12px;
    outline: none;
}
.cdkey-card button {
    width: 80px;
    height: 38px;
    line-height: 38px;
    text-align: center;
    font-size: 12px;
    color: #ffffff;
    background: #409eff;
    border: none;
    cursor: pointer;
    position: absolute;
    right: 0;
    bottom: 0;
}
.not-result {
    font-size: 24px;
    text-align: center;
    padding: 30px 0;
}
.u-btn-primary[disabled] {
    background: #c0c4cc;
    border-color: #c0c4cc;
    color: #fff;
    cursor: not-allowed;
    opacity: 0.7;
}
